Bug 206623 - Support Copy Refactoring of multiple files
Support Copy Refactoring of multiple files
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Refactoring
7.1
All All
: P2 (vote)
: 7.2
Assigned To: Ralph Ruijs
issues@editor
: API, API_REVIEW_FAST
Depends on:
Blocks: 180227 204608
  Show dependency treegraph
 
Reported: 2011-12-21 15:32 UTC by Ralph Ruijs
Modified: 2012-01-04 15:43 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed patch (25.95 KB, patch)
2011-12-21 15:37 UTC, Ralph Ruijs
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Ruijs 2011-12-21 15:32:14 UTC
It should be possible to copy multiple files at once. The current
refactoring does not support this, but the copy/paste action partially refactors
java files.
Comment 1 Ralph Ruijs 2011-12-21 15:37:26 UTC
Created attachment 114395 [details]
Proposed patch
Comment 2 Ralph Ruijs 2011-12-21 15:39:01 UTC
Please review attached patch.
Comment 3 Ralph Ruijs 2012-01-02 10:37:38 UTC
Will integrate tomorrow.
Comment 4 Jan Becicka 2012-01-02 11:58:27 UTC
patch looks fine
Comment 5 Ralph Ruijs 2012-01-03 08:59:05 UTC
Fixed in jet-main
http://hg.netbeans.org/jet-main/rev/263b12d208e8
Comment 6 Quality Engineering 2012-01-04 15:43:00 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/263b12d208e8
User: Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Log: Issue #206623 - Support Copy Refactoring of multiple files


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo